LFR-FSW - Bug #3121

Task # 3120 (Closed): Livraison sources 3.2.0.21 pour analyse Logiscope // W. Recart

Analyse Logiscope LFR_3.2.0.21 : LFR_basic-parameters : Tr_OperCond Severity is Low
03/10/2018 05:24 PM - William Recart

Status: Closed Start date: 03/10/2018
Priority: Normal Due date:

Assignee: William Recart % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r0

Description

Rappel de la regle :
Tr_OperCond
Definition:

The conditional operator ? ... : ... must not be used.

La regle n'est pas respectée dans 2 cas d'apres Logiscope:
basic_parameters.h : line 363 : tmp_uint8 = (e_cross_b_im > e_cross_b_re) ? 0x40 : 0x00;
basic_parameters.h : line 479 : tmp_uint8 = (n_cross_e_scal_b_im > n_cross_e_scal_b_re) ? 0x40 : 0x00;

History

#1 - 08/10/2018 04:50 PM - bruno katra

- Status changed from New to In Progress

Corrigé en attente de validation par Thomas

#2 - 08/10/2018 09:49 PM - bruno katra

- Assignee changed from thomas chust to William Recart

Thomas a validé que les sorties du programme sont les mémes aprés les modifs LOGISCOPE.
Le fichier corrigé est en PJ de #3123. Comme c'est dans le méme fichier que le pb de parenthése, I'analyse LOGISCOPE devrait ne plus lever le pb.

#3 - 09/10/2018 10:49 AM - William Recart

- Status changed from In Progress to Resolved

Le fichier a été analysé en méme temps que pour l'issue #3123
L'erreur n'apparait plus.
Cette issue sera close a la prochaine analyse compléte.

#4 - 10/10/2018 10:56 AM - Alexis Jeandet
- Parent task set to #3120

#5 - 10/12/2018 03:47 PM - William Recart

- Status changed from Resolved to Closed

Corrected in source code V3.2.0.24
